Skip to content

Update Player

PUT
/api/players/{id}

Update a player's profile fields (name, nickname, email, phone, note, ...). Wraps the existing admin update flow.

Authorizations

Parameters

Path Parameters

id*
Typestring
Required

Request Body

JSON
{
"name": "string",
"nickname": "string",
"email": "string",
"phone": "string",
"note": "string"
}

Responses

Updated player
JSON
{
"data": {
},
"status": null,
"timeStamp": "string"
}

Samples

cURL
curl -X PUT https://api-game.kkapi.co/api/players/{id}
JavaScript
fetch("https://api-game.kkapi.co/api/players/{id}", { method: "PUT" })
  .then(response => response.json())
  .then(data => console.log(data));
PHP
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api-game.kkapi.co/api/players/{id}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
Python
import requests
response = requests.put("https://api-game.kkapi.co/api/players/{id}")
print(response.json())